require_relative 'task.rb'

require 'rake/opt/keyword_args'

module Rake::DSL

  # Define a task with keyword args
  def args(args_options)
    # Set defaults
    args_options.each do |arg, options|
      raise ArgumentError, "No options set for argument #{arg}", caller[2..-1] unless options
      options[:required] ||= options[:required].nil? && options[:default].nil?
    end
    Rake.application.last_args = args_options
  end

end
